<%-- 
    Document   : no_db
    Created on : 20-mar-2012, 17.49.50
    Author     : lenz
--%>

<%@page import="ch.loway.tpf.dbcreator.dbtest.BaseSchemaUpdater"%>
<%@page import="it.loway.tpf.presentation.html.HtmlGenerator"%>
<%@page import="it.loway.tpf.common.containers.LDecoder"%>
<%@page import="ch.loway.tpf.dbcreator.JdbcUri"%>
<%@page import="it.loway.tpf.common.containers.LContext"%>
<%@page import="ch.loway.tpf.dbcreator.UpdateSuite"%>
<%@page import="ch.loway.tpf.dbcreator.HttpTools"%>
<%@page contentType="text/html" pageEncoding="utf-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<%@include file="../WEB-INF/jspf/dbtest_header.jspf" %>


<%
    LContext oC = new LContext();
    LDecoder oDec = null;
    HtmlGenerator oH = new HtmlGenerator( oC, oDec );

    
    String stW = "width: 150px;";
    String rootAddress = HttpTools.read( request, "CDB_address", oC );
    String rootUser = HttpTools.read( request, "CDB_rootuser", oC );
    String rootPass = HttpTools.read( request, "CDB_rootpass", oC );

    String qmDb = HttpTools.read( request, "CDB_qmDb", oC );
    String qmUser = HttpTools.read( request, "CDB_qmUser", oC );
    String qmPass = HttpTools.read( request, "CDB_qmPass", oC );

    String dbDump = application.getRealPath( dbSchema );

%>


<table id="tabloader" width='100%' border='0' cellspacing='3'>
</table>
    <div id="msgOk" >
        <b>Database created successfully!</b> <br>
        Click <a href="./dbCheck.jsp?createdok">here</a> to continue.
    </div>

    <div id="msgFail" >
        <b>Database creation failed!</b> <br>
        Please check the error(s) displayed below.
    </div>


<h1>Create the <%= projectName %> database</h1>

This procedure may delete all data if you already have an existing <%= projectName %> database.
<b class="red">If you already have a database, do not run this</b>.
<br>
Parameters that are not editable come from the <code>tpf.properties</code> file. If you need to change them,
go edit your <code>tpf.properties</code> file.

<hr>


<table>

    <tr><td colspan="2"> <b>MySQL root information</b> </td></tr>

    <tr><td>Database address </td><td> <%= oH.textBox( "CDB_address",  false, stW, 100 ) %>   </td></tr>
    <tr><td>Database root user </td><td> <%= oH.textBox( "CDB_rootuser",  true, stW, 100 ) %>   </td></tr>
    <tr><td>Database root password </td><td> <%= oH.textBox( "CDB_rootpass",  true, stW, 100 ) %>   </td></tr>

    <tr><td colspan="2"> &nbsp; </td></tr>
    <tr><td colspan="2"> <b><%= projectName %> database information</b> </td></tr>
    <tr><td>WombatDialer database</td><td> <%= oH.textBox( "CDB_qmDb",  false, stW, 100 ) %>   </td></tr>
    <tr><td>WombatDialer database user </td><td> <%= oH.textBox( "CDB_qmUser",  false, stW, 100 ) %>   </td></tr>
    <tr><td>WombatDialer database password </td><td> <%= oH.textBox( "CDB_qmPass",  false, stW, 100 ) %>   </td></tr>


</table>

    


    <input type="button" onclick="runUpdate();" value="Update now" id="actionButton">



<script src="./SchemaUpdater.js"></script>
<script>

var out;

$(document).ready(function() {

    $( "#msgOk" ).hide();
    $( "#msgFail" ).hide();

    out = new SchemaUpdater();
    out.onFinish = updateFinished;
    out.autorun = 0;
    out.updateFor = "C";
    out.init();
});

function setContext( field ) {
    var v = $("#" + field ).val();
    out.setContext(field, v);
    //alert( "K: " + field + " = " + v);
}


function runUpdate() {

    $("#actionButton").hide();
    $( "#msgOk" ).hide();
    $( "#msgFail" ).hide();
    out.err = 0;

    setContext("CDB_address");
    setContext("CDB_rootuser");
    setContext("CDB_rootpass");
    setContext("CDB_qmDb");
    setContext("CDB_qmUser");
    setContext("CDB_qmPass");
    out.setContext("schema", <%= BaseSchemaUpdater.toJson( dbDump ) %>);

    out.autorun = 1;
    out.init();
}

function updateFinished() {
    if ( out.err == 0 ) {
        $( "#msgOk" ).show();
    } else {
        $("#actionButton").show();
        $( "#msgFail" ).show();
    }
}

</script>

<div id="tabaction"></div>
<table id="tabresults">    
    <tr class="hdr"><td width="25%"> Name </td><td> Description </td><td width="50"> Time </td></tr>
</table>
<!--
<div id="debug"></div>
-->




<%@include file="../WEB-INF/jspf/dbtest_footer.jspf" %>



