<%-- 
    Document   : no_db
    Created on : 20-mar-2012, 17.49.50
    Author     : lenz

In data 4.6.18, ho tolto i riferimenti al vecchio DB.

--%>

<%@page import="ch.loway.tpf.dbcreator.JdbcUri"%>
<%@page contentType="text/html" pageEncoding="windows-1251"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<%

    JdbcUri uri = JdbcUri.buildFromSystemFiles(application);
    String webxml = application.getRealPath("/WEB-INF/web.xml" );
%>


<%@include file="../WEB-INF/jspf/dbtest_header.jspf" %>


<h1><%= projectName %> JDBC connection tester</h1>

<b>It looks like you don't have a working JDBC connection.</b> <br>
<%= projectName %> requires a working JDBC connection to a MariaDB database server in order to work properly.<p>
If you have not already done so:
<ul>
<li> Create a database for <%= projectName %> and manually import the sample database
<li> Edit the file <code>WEB-INF/tpf.properties</code> to enter the database server, user and password <%= projectName %> will use to connect
</ul>
These steps are explained in greater detail in <%= projectName %> user manual,
available at <a href="<%= projectMan %>" target="man"><%= projectMan %></a>.

<p>

    <input onclick="window.location='create_db.jsp?<%= uri.asParms() %>&CDB_rootuser=root'" type=button value="Create <%= projectName %> database now >>>">

<p>
This is the current configuration found:
<ul>
    <li>XML configuration file located at: <code><%=  webxml  %></code></li>
    <li>JDBC URI configured as: <code><%= uri.sourceUri %></code></li>
</ul>
Most common JDBC errors are explained in the FAQs, available at <a href="<%= projectFaq %>" target="man"><%= projectFaq %></a>.
<br>



<%@include file="../WEB-INF/jspf/dbtest_footer.jspf" %>



