<%-- 
    Document   : upgrade_db
    Created on : 20-mar-2012, 17.46.20
    Author     : lenz
--%>
<%@include file="../WEB-INF/jspf/dbtest_header.jspf" %>

<table id="tabloader" width='100%' border='0' cellspacing='3'>
</table>
    <div id="msgOk" >
        <b>UPDATES SUCCESSFUL!</b> <br>
        Click <a href="./dbCheck.jsp?updateok">here</a> to continue.
    </div>

    <div id="msgFail" >
        <b>Update Failure!</b> <br>
        See the log below for the error(s) that prevented a successful execution.
    </div>

<h1>Your <%= projectName %> database may need updating</h1>

Click on the button below to start the update procedure. It may take a few seconds to run.
<p>
    
</p>
<input type="button" onclick="runUpdate();" value="Start update" id="actionButton">

<script src="./SchemaUpdater.js"></script>
<script>

var out;

$(document).ready(function() {

    $( "#msgOk" ).hide();
    $( "#msgFail" ).hide();

    out = new SchemaUpdater();
    out.onFinish = updateFinished;
    out.autorun = 0;
    out.updateFor = "U";
    out.init();
});

function setContext( field ) {
    var v = $("#" + field ).val();
    out.setContext(field, v);
    //alert( "K: " + field + " = " + v);
}


function runUpdate() {

    $("#actionButton").hide();

    //setContext("CDB_address");
    out.autorun = 1;
    out.init();
}

function updateFinished() {
    
    if ( out.err == 0 ) {
        $( "#msgOk" ).show();
    } else {
        $("#actionButton").show();
        $( "#msgFail" ).show();
    }
}

</script>




<div id="tabaction"></div>
<table id="tabresults">
    <tr class="hdr"><td width="25%"> Updater </td><td> Description </td><td width="50"> Time </td></tr>
</table>
<!--
<div id="debug"></div>
-->

<%@include file="../WEB-INF/jspf/dbtest_footer.jspf" %>

