-- MariaDB dump 10.19  Distrib 10.5.9-MariaDB, for osx10.16 (x86_64)
--
-- Host: localhost    Database: wombat
-- ------------------------------------------------------
-- Server version	10.4.10-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `arch_classes`
--

DROP TABLE IF EXISTS `arch_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `arch_classes` (
  `id_classe` int(11) NOT NULL AUTO_INCREMENT,
  `nome_classe` varchar(15) DEFAULT '',
  `des_classe` varchar(200) DEFAULT '',
  `chiavi` text DEFAULT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_optilock` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id_classe`),
  KEY `FKABCBF93DADB59082` (`sys_user_creazione`),
  KEY `FKABCBF93DF8F99862` (`sys_user_modifica`),
  CONSTRAINT `FKABCBF93DADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`),
  CONSTRAINT `FKABCBF93DF8F99862` FOREIGN KEY (`sys_user_modifica`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `arch_classes`
--
-- ORDER BY:  `id_classe`

LOCK TABLES `arch_classes` WRITE;
/*!40000 ALTER TABLE `arch_classes` DISABLE KEYS */;
INSERT INTO `arch_classes` (`id_classe`, `nome_classe`, `des_classe`, `chiavi`, `sys_dt_creazione`, `sys_user_creazione`, `sys_dt_modifica`, `sys_user_modifica`, `sys_optilock`) VALUES (2,'USERS','Normal users','USER RT REPORT LIST CAMP COPY V_WBT','2011-10-13 17:15:45',NULL,NULL,NULL,1);
INSERT INTO `arch_classes` (`id_classe`, `nome_classe`, `des_classe`, `chiavi`, `sys_dt_creazione`, `sys_user_creazione`, `sys_dt_modifica`, `sys_user_modifica`, `sys_optilock`) VALUES (3,'ADMIN','Administrator','USER ADMIN RT SYSLOG REPORT LIST CAMP COPY LICKEY OPHR V_WBT CTRL_WBT','2011-10-13 17:14:58',NULL,'2011-10-26 19:00:24',32,2);
/*!40000 ALTER TABLE `arch_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `arch_lic`
--

DROP TABLE IF EXISTS `arch_lic`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `arch_lic` (
  `id` varchar(200) NOT NULL,
  `ek` text NOT NULL,
  `es` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `arch_lic`
--
-- ORDER BY:  `id`

LOCK TABLES `arch_lic` WRITE;
/*!40000 ALTER TABLE `arch_lic` DISABLE KEYS */;
INSERT INTO `arch_lic` (`id`, `ek`, `es`) VALUES ('DEMOWBT2312DEMO.9419242-1460417','','');
/*!40000 ALTER TABLE `arch_lic` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `arch_syslog`
--

DROP TABLE IF EXISTS `arch_syslog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `arch_syslog` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `session` varchar(255) DEFAULT NULL,
  `action` int(11) DEFAULT NULL,
  `text1` varchar(255) DEFAULT NULL,
  `text2` varchar(255) DEFAULT NULL,
  `text3` varchar(255) DEFAULT NULL,
  `text4` varchar(255) DEFAULT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  PRIMARY KEY (`log_id`),
  KEY `FK29D99560ADB59082` (`sys_user_creazione`),
  CONSTRAINT `FK29D99560ADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `arch_syslog`
--
-- ORDER BY:  `log_id`

LOCK TABLES `arch_syslog` WRITE;
/*!40000 ALTER TABLE `arch_syslog` DISABLE KEYS */;
/*!40000 ALTER TABLE `arch_syslog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `arch_users`
--

DROP TABLE IF EXISTS `arch_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `arch_users` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(50) DEFAULT '',
  `PASSWORD` varchar(200) NOT NULL DEFAULT '',
  `pversion` int(11) NOT NULL DEFAULT 1,
  `psalt` varchar(100) NOT NULL DEFAULT '',
  `real_name` varchar(50) DEFAULT '',
  `abilitato` tinyint(4) DEFAULT 0,
  `email` varchar(50) DEFAULT '',
  `masterkey` tinyint(4) DEFAULT 0,
  `classe` int(11) DEFAULT 0,
  `chiavi_utente` text DEFAULT NULL,
  `n_logon` int(11) DEFAULT 0,
  `ultimo_logon` datetime DEFAULT NULL,
  `commento` varchar(200) DEFAULT '',
  `token` varchar(50) DEFAULT '',
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_optilock` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`user_id`),
  KEY `FKE8ACA8DFADB59082` (`sys_user_creazione`),
  KEY `FKE8ACA8DFF8F99862` (`sys_user_modifica`),
  KEY `FKE8ACA8DFCD6A46F8` (`classe`),
  KEY `by_login` (`login`(10)),
  KEY `by_email` (`email`(10)),
  CONSTRAINT `FKE8ACA8DFADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`),
  CONSTRAINT `FKE8ACA8DFCD6A46F8` FOREIGN KEY (`classe`) REFERENCES `arch_classes` (`id_classe`),
  CONSTRAINT `FKE8ACA8DFF8F99862` FOREIGN KEY (`sys_user_modifica`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8 PACK_KEYS=0;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `arch_users`
--
-- ORDER BY:  `user_id`

LOCK TABLES `arch_users` WRITE;
/*!40000 ALTER TABLE `arch_users` DISABLE KEYS */;
INSERT INTO `arch_users` (`user_id`, `login`, `PASSWORD`, `pversion`, `psalt`, `real_name`, `abilitato`, `email`, `masterkey`, `classe`, `chiavi_utente`, `n_logon`, `ultimo_logon`, `commento`, `token`, `sys_dt_creazione`, `sys_user_creazione`, `sys_dt_modifica`, `sys_user_modifica`, `sys_optilock`) VALUES (32,'demoadmin','demo',1,'','Demo Admin',1,'',0,3,'',1,'2021-05-28 14:45:50','','','2021-05-28 14:45:50',NULL,NULL,NULL,344);
INSERT INTO `arch_users` (`user_id`, `login`, `PASSWORD`, `pversion`, `psalt`, `real_name`, `abilitato`, `email`, `masterkey`, `classe`, `chiavi_utente`, `n_logon`, `ultimo_logon`, `commento`, `token`, `sys_dt_creazione`, `sys_user_creazione`, `sys_dt_modifica`, `sys_user_modifica`, `sys_optilock`) VALUES (39,'demouser','demo',1,'','Demo User',1,'',0,2,'',1,'2021-05-28 14:45:50','','','2021-05-28 14:45:50',NULL,NULL,NULL,0);
INSERT INTO `arch_users` (`user_id`, `login`, `PASSWORD`, `pversion`, `psalt`, `real_name`, `abilitato`, `email`, `masterkey`, `classe`, `chiavi_utente`, `n_logon`, `ultimo_logon`, `commento`, `token`, `sys_dt_creazione`, `sys_user_creazione`, `sys_dt_modifica`, `sys_user_modifica`, `sys_optilock`) VALUES (41,'demosupervisor','demo',1,'','Super Visor',0,'',0,6,'',1,'2021-05-28 14:45:50','','','2021-05-28 14:45:50',NULL,NULL,NULL,0);
/*!40000 ALTER TABLE `arch_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `astservers`
--

DROP TABLE IF EXISTS `astservers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `astservers` (
  `asteriskId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `serverDesc` varchar(45) NOT NULL,
  `serverType` enum('ASTERISKAMI','FAKEAMI') NOT NULL DEFAULT 'ASTERISKAMI',
  `address` varchar(45) NOT NULL,
  `port` int(10) unsigned NOT NULL,
  `login` varchar(45) NOT NULL,
  `password` varchar(45) NOT NULL,
  `maxMsg` int(10) unsigned NOT NULL,
  `msgEvery` int(10) unsigned NOT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `sys_optilock` int(10) unsigned NOT NULL,
  `securityKey` varchar(255) DEFAULT '',
  PRIMARY KEY (`asteriskId`),
  KEY `FKB2DDC8CEADB59082` (`sys_user_creazione`),
  KEY `FKB2DDC8CEF8F99862` (`sys_user_modifica`),
  CONSTRAINT `FKB2DDC8CEADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`),
  CONSTRAINT `FKB2DDC8CEF8F99862` FOREIGN KEY (`sys_user_modifica`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `astservers`
--
-- ORDER BY:  `asteriskId`

LOCK TABLES `astservers` WRITE;
/*!40000 ALTER TABLE `astservers` DISABLE KEYS */;
/*!40000 ALTER TABLE `astservers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `call_lists`
--

DROP TABLE IF EXISTS `call_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `call_lists` (
  `listId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_optilock` int(11) NOT NULL DEFAULT 0,
  `isHidden` bit(1) NOT NULL DEFAULT b'0',
  `securityKey` varchar(255) DEFAULT '',
  PRIMARY KEY (`listId`),
  KEY `FK72B48274ADB59082` (`sys_user_creazione`),
  KEY `FK72B48274F8F99862` (`sys_user_modifica`),
  CONSTRAINT `FK72B48274ADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`),
  CONSTRAINT `FK72B48274F8F99862` FOREIGN KEY (`sys_user_modifica`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `call_lists`
--
-- ORDER BY:  `listId`

LOCK TABLES `call_lists` WRITE;
/*!40000 ALTER TABLE `call_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `call_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `call_logs`
--

DROP TABLE IF EXISTS `call_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `call_logs` (
  `logId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `listId` int(10) unsigned NOT NULL,
  `callId` int(10) unsigned NOT NULL,
  `attempted` datetime NOT NULL,
  `waitPre` bigint(10) unsigned NOT NULL,
  `waitAfter` bigint(10) unsigned NOT NULL,
  `talk` bigint(10) unsigned NOT NULL,
  `statusCode` varchar(45) NOT NULL,
  `trunk` int(10) unsigned NOT NULL,
  `astChannel` varchar(60) NOT NULL,
  `astUnique` varchar(60) NOT NULL,
  `hopCamp` int(10) unsigned DEFAULT NULL,
  `nRetry` int(10) unsigned NOT NULL,
  `statusExt` varchar(45) NOT NULL,
  `nextRetry` int(10) unsigned NOT NULL,
  `wombatId` int(10) unsigned NOT NULL,
  `waitSchedule` int(11) DEFAULT NULL,
  `subEp` varchar(255) DEFAULT '',
  `bridgedChannel` varchar(255) DEFAULT '',
  PRIMARY KEY (`logId`),
  KEY `byHopCamp` (`hopCamp`),
  KEY `FKC1A2CEF0B6380009` (`callId`),
  KEY `FKC1A2CEF0D8CE307` (`trunk`),
  KEY `FKC1A2CEF040363AEF` (`hopCamp`),
  KEY `FKC1A2CEF0B539CE56` (`listId`),
  CONSTRAINT `FKC1A2CEF040363AEF` FOREIGN KEY (`hopCamp`) REFERENCES `hopper` (`hopId`),
  CONSTRAINT `FKC1A2CEF0B539CE56` FOREIGN KEY (`listId`) REFERENCES `call_lists` (`listId`),
  CONSTRAINT `FKC1A2CEF0B6380009` FOREIGN KEY (`callId`) REFERENCES `call_records` (`callId`),
  CONSTRAINT `FKC1A2CEF0D8CE307` FOREIGN KEY (`trunk`) REFERENCES `trunks` (`trunkId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `call_logs`
--
-- ORDER BY:  `logId`

LOCK TABLES `call_logs` WRITE;
/*!40000 ALTER TABLE `call_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `call_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `call_logs_backup`
--

DROP TABLE IF EXISTS `call_logs_backup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `call_logs_backup` (
  `logId` int(10) unsigned NOT NULL DEFAULT 0,
  `listId` int(10) unsigned NOT NULL,
  `callId` int(10) unsigned NOT NULL,
  `attempted` datetime NOT NULL,
  `waitPre` bigint(10) unsigned NOT NULL,
  `waitAfter` bigint(10) unsigned NOT NULL,
  `talk` bigint(10) unsigned NOT NULL,
  `statusCode` varchar(45) NOT NULL,
  `trunk` int(10) unsigned NOT NULL,
  `astChannel` varchar(60) NOT NULL,
  `astUnique` varchar(60) NOT NULL,
  `hopCamp` int(10) unsigned DEFAULT NULL,
  `nRetry` int(10) unsigned NOT NULL,
  `statusExt` varchar(45) NOT NULL,
  `nextRetry` int(10) unsigned NOT NULL,
  `wombatId` int(10) unsigned NOT NULL,
  `waitSchedule` int(11) DEFAULT NULL,
  `subEp` varchar(255) DEFAULT '',
  `bridgedChannel` varchar(255) DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `call_logs_backup`
--

LOCK TABLES `call_logs_backup` WRITE;
/*!40000 ALTER TABLE `call_logs_backup` DISABLE KEYS */;
/*!40000 ALTER TABLE `call_logs_backup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `call_record_attributes`
--

DROP TABLE IF EXISTS `call_record_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `call_record_attributes` (
  `call_record_id` int(11) NOT NULL,
  `attr_name` varchar(255) NOT NULL,
  `attr_value` varchar(255) NOT NULL,
  `is_input` bit(1) NOT NULL,
  `bagId` int(11) NOT NULL,
  PRIMARY KEY (`call_record_id`,`bagId`),
  KEY `FK63F62E64B20F8738` (`call_record_id`),
  KEY `bagId` (`bagId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `call_record_attributes`
--
-- ORDER BY:  `call_record_id`,`bagId`

LOCK TABLES `call_record_attributes` WRITE;
/*!40000 ALTER TABLE `call_record_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `call_record_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `call_records`
--

DROP TABLE IF EXISTS `call_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `call_records` (
  `callId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `listId` int(10) unsigned NOT NULL,
  `number` varchar(100) NOT NULL,
  PRIMARY KEY (`callId`),
  KEY `FKCD4C0161B539CE56` (`listId`),
  KEY `byNumber` (`number`(10)),
  CONSTRAINT `FKCD4C0161B539CE56` FOREIGN KEY (`listId`) REFERENCES `call_lists` (`listId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `call_records`
--
-- ORDER BY:  `callId`

LOCK TABLES `call_records` WRITE;
/*!40000 ALTER TABLE `call_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `call_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns`
--

DROP TABLE IF EXISTS `campaigns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaigns` (
  `campaignId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `priority` int(10) unsigned NOT NULL,
  `pace` varchar(20) NOT NULL,
  `t_starthr` varchar(20) NOT NULL,
  `t_endhr` varchar(20) NOT NULL,
  `t_dow` varchar(20) NOT NULL,
  `max_call_length` int(11) NOT NULL,
  `dial_timeout` int(10) unsigned NOT NULL DEFAULT 30000,
  `dial_clid` varchar(100) NOT NULL,
  `dial_account` varchar(100) NOT NULL,
  `dial_pres` varchar(100) NOT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_optilock` int(11) NOT NULL DEFAULT 0,
  `addlLogging` varchar(50) DEFAULT NULL,
  `pauseWhenFinished` bit(1) DEFAULT NULL,
  `batch_size` int(10) unsigned NOT NULL DEFAULT 100,
  `http_notify` varchar(250) NOT NULL,
  `logging_alias` varchar(250) DEFAULT '',
  `securityKey` varchar(255) DEFAULT '',
  `autopause` bit(1) NOT NULL DEFAULT b'0',
  `agentClid` varchar(255) NOT NULL DEFAULT '',
  `email_addresses` varchar(255) DEFAULT '',
  `email_events` varchar(255) DEFAULT '',
  `i_boost_factor` double NOT NULL DEFAULT 1,
  `i_pred_model` varchar(255) NOT NULL DEFAULT 'OFF',
  `amd_trk` varchar(255) NOT NULL DEFAULT 'OFF',
  `amd_parms` varchar(255) NOT NULL DEFAULT '',
  `amd_audio_file` varchar(255) NOT NULL DEFAULT '',
  `amd_fax_file` varchar(255) NOT NULL DEFAULT '',
  `vars` longtext NOT NULL,
  `qmvars` longtext NOT NULL,
  PRIMARY KEY (`campaignId`),
  KEY `FKFD772163ADB59082` (`sys_user_creazione`),
  KEY `FKFD772163F8F99862` (`sys_user_modifica`),
  CONSTRAINT `FKFD772163ADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`),
  CONSTRAINT `FKFD772163F8F99862` FOREIGN KEY (`sys_user_modifica`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaigns`
--
-- ORDER BY:  `campaignId`

LOCK TABLES `campaigns` WRITE;
/*!40000 ALTER TABLE `campaigns` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns_cl`
--

DROP TABLE IF EXISTS `campaigns_cl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaigns_cl` (
  `cclId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cl` int(10) unsigned NOT NULL,
  `complete` tinyint(1) NOT NULL,
  `highwater` int(10) unsigned DEFAULT NULL,
  `idx` int(10) unsigned NOT NULL DEFAULT 0,
  `campaignId` int(10) unsigned NOT NULL DEFAULT 0,
  `clType` varchar(255) NOT NULL DEFAULT 'CALL_LIST',
  PRIMARY KEY (`cclId`),
  KEY `FKA57B0C5DFBBB4C5` (`highwater`),
  KEY `FKA57B0C5F6F0CC86` (`cl`),
  KEY `FKA57B0C5AA548B3C` (`campaignId`),
  CONSTRAINT `FKA57B0C5AA548B3C` FOREIGN KEY (`campaignId`) REFERENCES `campaigns` (`campaignId`),
  CONSTRAINT `FKA57B0C5DFBBB4C5` FOREIGN KEY (`highwater`) REFERENCES `call_records` (`callId`),
  CONSTRAINT `FKA57B0C5F6F0CC86` FOREIGN KEY (`cl`) REFERENCES `call_lists` (`listId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaigns_cl`
--
-- ORDER BY:  `cclId`

LOCK TABLES `campaigns_cl` WRITE;
/*!40000 ALTER TABLE `campaigns_cl` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns_cl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns_eps`
--

DROP TABLE IF EXISTS `campaigns_eps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaigns_eps` (
  `campaignId` int(10) unsigned NOT NULL DEFAULT 1,
  `epId` int(10) unsigned NOT NULL,
  KEY `FK409E704C6772487C` (`epId`),
  KEY `FK409E704CAA548B3C` (`campaignId`),
  CONSTRAINT `FK409E704C6772487C` FOREIGN KEY (`epId`) REFERENCES `endpoints` (`epId`),
  CONSTRAINT `FK409E704CAA548B3C` FOREIGN KEY (`campaignId`) REFERENCES `campaigns` (`campaignId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaigns_eps`
--

LOCK TABLES `campaigns_eps` WRITE;
/*!40000 ALTER TABLE `campaigns_eps` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns_eps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns_oh`
--

DROP TABLE IF EXISTS `campaigns_oh`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaigns_oh` (
  `cohId` int(11) NOT NULL AUTO_INCREMENT,
  `rule` int(11) DEFAULT NULL,
  PRIMARY KEY (`cohId`),
  KEY `FKA57B235CD64DEB7` (`rule`),
  CONSTRAINT `FKA57B235CD64DEB7` FOREIGN KEY (`rule`) REFERENCES `open_hr` (`openingHourId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaigns_oh`
--
-- ORDER BY:  `cohId`

LOCK TABLES `campaigns_oh` WRITE;
/*!40000 ALTER TABLE `campaigns_oh` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns_oh` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns_ohs`
--

DROP TABLE IF EXISTS `campaigns_ohs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaigns_ohs` (
  `campaignId` int(11) NOT NULL,
  `cohId` int(11) NOT NULL,
  `idx` int(11) NOT NULL,
  PRIMARY KEY (`campaignId`,`idx`),
  KEY `FK409E94DEAA548B3C` (`campaignId`),
  KEY `FK409E94DE963CD411` (`cohId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaigns_ohs`
--
-- ORDER BY:  `campaignId`,`idx`

LOCK TABLES `campaigns_ohs` WRITE;
/*!40000 ALTER TABLE `campaigns_ohs` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns_ohs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns_retries`
--

DROP TABLE IF EXISTS `campaigns_retries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaigns_retries` (
  `hopId` int(11) NOT NULL,
  `cr` int(11) DEFAULT NULL,
  `retry_Id` int(11) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  `retry` int(11) DEFAULT NULL,
  `scheduleAfter` datetime DEFAULT NULL,
  `bagId` char(40) NOT NULL DEFAULT '',
  PRIMARY KEY (`bagId`),
  KEY `FK8D449E6A4D92BC9` (`hopId`),
  KEY `FK8D449E6A7BEA47F` (`cr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaigns_retries`
--
-- ORDER BY:  `bagId`

LOCK TABLES `campaigns_retries` WRITE;
/*!40000 ALTER TABLE `campaigns_retries` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns_retries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaigns_tks`
--

DROP TABLE IF EXISTS `campaigns_tks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaigns_tks` (
  `campaignId` int(10) unsigned NOT NULL,
  `trunkId` int(10) unsigned NOT NULL,
  KEY `FK409EA800AA548B3C` (`campaignId`),
  KEY `FK409EA800C8745322` (`trunkId`),
  CONSTRAINT `FK409EA800AA548B3C` FOREIGN KEY (`campaignId`) REFERENCES `campaigns` (`campaignId`),
  CONSTRAINT `FK409EA800C8745322` FOREIGN KEY (`trunkId`) REFERENCES `trunks` (`trunkId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaigns_tks`
--

LOCK TABLES `campaigns_tks` WRITE;
/*!40000 ALTER TABLE `campaigns_tks` DISABLE KEYS */;
/*!40000 ALTER TABLE `campaigns_tks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dbversion`
--

DROP TABLE IF EXISTS `dbversion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dbversion` (
  `version_id` int(11) NOT NULL,
  `lic_version` varchar(255) NOT NULL,
  `lic_approved` varchar(255) NOT NULL,
  `plex_id` varchar(255) NOT NULL,
  PRIMARY KEY (`version_id`,`lic_version`,`lic_approved`,`plex_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dbversion`
--
-- ORDER BY:  `version_id`,`lic_version`,`lic_approved`,`plex_id`

LOCK TABLES `dbversion` WRITE;
/*!40000 ALTER TABLE `dbversion` DISABLE KEYS */;
INSERT INTO `dbversion` (`version_id`, `lic_version`, `lic_approved`, `plex_id`) VALUES (40,'','','');
/*!40000 ALTER TABLE `dbversion` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disp_rules`
--

DROP TABLE IF EXISTS `disp_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `disp_rules` (
  `dispositionId` int(11) NOT NULL AUTO_INCREMENT,
  `on_state` varchar(255) NOT NULL,
  `on_ext_state` varchar(255) NOT NULL,
  `with_rtr_pend` int(11) NOT NULL,
  `verb` varchar(255) NOT NULL,
  `destination` varchar(255) NOT NULL,
  `text` longtext NOT NULL,
  `defer_sec` int(11) NOT NULL,
  `var_mode` varchar(255) NOT NULL,
  `addl_vars` varchar(255) NOT NULL,
  `campaignId` int(11) DEFAULT NULL,
  `idx` int(11) DEFAULT NULL,
  PRIMARY KEY (`dispositionId`),
  KEY `FKB43C781AAA548B3C` (`campaignId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disp_rules`
--
-- ORDER BY:  `dispositionId`

LOCK TABLES `disp_rules` WRITE;
/*!40000 ALTER TABLE `disp_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `disp_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `endpoints`
--

DROP TABLE IF EXISTS `endpoints`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `endpoints` (
  `epId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('PHONE','QUEUE','API') NOT NULL DEFAULT 'PHONE',
  `channelName` varchar(45) NOT NULL,
  `astId` int(10) unsigned NOT NULL,
  `maxChannels` int(10) unsigned NOT NULL DEFAULT 1,
  `extension` varchar(45) NOT NULL,
  `context` varchar(45) NOT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_optilock` int(11) NOT NULL DEFAULT 0,
  `boostFactor` double NOT NULL DEFAULT 1,
  `maxWaitingCalls` int(11) NOT NULL DEFAULT 2,
  `reverseDialing` bit(1) DEFAULT b'0',
  `stepwiseReverse` bit(1) DEFAULT b'0',
  `securityKey` varchar(255) DEFAULT '',
  `description` varchar(50) NOT NULL DEFAULT '',
  `dial_find` varchar(50) NOT NULL DEFAULT '',
  `dial_replace` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`epId`),
  KEY `FK911C957EADB59082` (`sys_user_creazione`),
  KEY `FK911C957EF8F99862` (`sys_user_modifica`),
  KEY `FK911C957E8FED9BA1` (`astId`),
  CONSTRAINT `FK911C957E8FED9BA1` FOREIGN KEY (`astId`) REFERENCES `astservers` (`asteriskId`),
  CONSTRAINT `FK911C957EADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`),
  CONSTRAINT `FK911C957EF8F99862` FOREIGN KEY (`sys_user_modifica`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `endpoints`
--
-- ORDER BY:  `epId`

LOCK TABLES `endpoints` WRITE;
/*!40000 ALTER TABLE `endpoints` DISABLE KEYS */;
/*!40000 ALTER TABLE `endpoints` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hop_calls`
--

DROP TABLE IF EXISTS `hop_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hop_calls` (
  `hopId` int(11) NOT NULL,
  `hcId` int(11) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `cr` int(11) DEFAULT NULL,
  `trunk` int(11) DEFAULT NULL,
  `ep` int(11) DEFAULT NULL,
  `tst_schedule` bigint(20) DEFAULT NULL,
  `tst_originate` bigint(20) DEFAULT NULL,
  `tst_connect` bigint(20) DEFAULT NULL,
  `tst_terminate` bigint(20) DEFAULT NULL,
  `astChannel` varchar(255) DEFAULT NULL,
  `astUnique` varchar(255) DEFAULT NULL,
  `nRetry` int(11) DEFAULT NULL,
  `statusExt` varchar(255) DEFAULT NULL,
  `tstLastSeen` bigint(20) DEFAULT NULL,
  `bagId` char(40) NOT NULL DEFAULT '',
  `possiblyLost` bit(1) DEFAULT NULL,
  `subEp` varchar(255) DEFAULT '',
  `bridgedChannel` varchar(255) DEFAULT '',
  PRIMARY KEY (`bagId`),
  KEY `FK12E6AE5FD8CE307` (`trunk`),
  KEY `FK12E6AE5F4D92BC9` (`hopId`),
  KEY `FK12E6AE5F6742BA21` (`ep`),
  KEY `FK12E6AE5F7BEA47F` (`cr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hop_calls`
--
-- ORDER BY:  `bagId`

LOCK TABLES `hop_calls` WRITE;
/*!40000 ALTER TABLE `hop_calls` DISABLE KEYS */;
/*!40000 ALTER TABLE `hop_calls` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hop_lists`
--

DROP TABLE IF EXISTS `hop_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hop_lists` (
  `hopListId` int(10) unsigned NOT NULL,
  `enabled` bit(1) NOT NULL,
  `finished` bit(1) NOT NULL,
  `list` int(10) unsigned NOT NULL,
  `highWaterMark` int(11) NOT NULL,
  `bagId` char(40) NOT NULL DEFAULT '',
  PRIMARY KEY (`bagId`),
  KEY `FK1369401FF72370BB` (`list`),
  KEY `FK1369401F285E0067` (`hopListId`),
  CONSTRAINT `FK1369401F285E0067` FOREIGN KEY (`hopListId`) REFERENCES `hopper` (`hopId`),
  CONSTRAINT `FK1369401FF72370BB` FOREIGN KEY (`list`) REFERENCES `call_lists` (`listId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hop_lists`
--
-- ORDER BY:  `bagId`

LOCK TABLES `hop_lists` WRITE;
/*!40000 ALTER TABLE `hop_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `hop_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hopper`
--

DROP TABLE IF EXISTS `hopper`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hopper` (
  `hopId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `campaign` int(10) unsigned NOT NULL,
  `campaignState` char(50) DEFAULT NULL,
  `hopName` varchar(255) DEFAULT NULL,
  `runMode` varchar(255) DEFAULT NULL,
  `noOfCallListActive` int(10) NOT NULL DEFAULT 0,
  `idOfLastCallRecord` int(10) NOT NULL DEFAULT 0,
  `erc` int(10) NOT NULL DEFAULT 0,
  `ertr` int(10) NOT NULL DEFAULT 0,
  `tac` int(10) NOT NULL DEFAULT 0,
  `tcc` int(10) NOT NULL DEFAULT 0,
  `created` datetime DEFAULT NULL,
  `completed` datetime DEFAULT NULL,
  `last_call` datetime DEFAULT NULL,
  `boost_factor` double NOT NULL DEFAULT 1,
  `predictive_model` varchar(255) NOT NULL DEFAULT 'OFF',
  PRIMARY KEY (`hopId`),
  KEY `FKB7C8CC34F0908221` (`campaign`),
  KEY `byRunMode` (`runMode`),
  CONSTRAINT `FKB7C8CC34F0908221` FOREIGN KEY (`campaign`) REFERENCES `campaigns` (`campaignId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hopper`
--
-- ORDER BY:  `hopId`

LOCK TABLES `hopper` WRITE;
/*!40000 ALTER TABLE `hopper` DISABLE KEYS */;
/*!40000 ALTER TABLE `hopper` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `log_d`
--

DROP TABLE IF EXISTS `log_d`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_d` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listId` int(11) DEFAULT NULL,
  `listName` varchar(255) DEFAULT NULL,
  `trunkId` int(11) DEFAULT NULL,
  `trunkName` varchar(255) DEFAULT NULL,
  `astId` int(11) DEFAULT NULL,
  `astName` varchar(255) DEFAULT NULL,
  `epId` int(11) DEFAULT NULL,
  `epName` varchar(255) DEFAULT NULL,
  `campId` int(11) DEFAULT NULL,
  `campName` varchar(255) DEFAULT NULL,
  `runId` int(11) DEFAULT NULL,
  `runName` varchar(255) DEFAULT NULL,
  `runStarted` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `log_d`
--
-- ORDER BY:  `id`

LOCK TABLES `log_d` WRITE;
/*!40000 ALTER TABLE `log_d` DISABLE KEYS */;
/*!40000 ALTER TABLE `log_d` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `log_f`
--

DROP TABLE IF EXISTS `log_f`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_f` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dimensions` int(11) NOT NULL,
  `callId` int(11) NOT NULL,
  `callNumber` varchar(255) NOT NULL,
  `numberDialed` varchar(255) NOT NULL,
  `attributes` longtext NOT NULL,
  `attempted` datetime NOT NULL,
  `waitPre` int(11) NOT NULL,
  `waitAfter` int(11) NOT NULL,
  `talk` int(11) NOT NULL,
  `statusCode` varchar(255) NOT NULL,
  `astChannel` varchar(255) NOT NULL,
  `astUnique` varchar(255) NOT NULL,
  `nRetry` int(11) NOT NULL,
  `statusExt` varchar(255) NOT NULL,
  `nextRetry` int(11) NOT NULL,
  `wombatId` varchar(255) NOT NULL,
  `subEp` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `byNumber` (`callNumber`),
  KEY `byCallId` (`callId`),
  KEY `FK625EE2BE27A3EB2` (`dimensions`),
  KEY `byWombatId` (`wombatId`),
  KEY `byAstUnique` (`astUnique`(20)),
  CONSTRAINT `FK625EE2BE27A3EB2` FOREIGN KEY (`dimensions`) REFERENCES `log_d` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `log_f`
--
-- ORDER BY:  `id`

LOCK TABLES `log_f` WRITE;
/*!40000 ALTER TABLE `log_f` DISABLE KEYS */;
/*!40000 ALTER TABLE `log_f` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `open_hr`
--

DROP TABLE IF EXISTS `open_hr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `open_hr` (
  `openingHourId` int(11) NOT NULL AUTO_INCREMENT,
  `sys_optilock` int(11) NOT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `securityKey` varchar(255) NOT NULL,
  `defaultMode` varchar(255) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hidden` bit(1) NOT NULL,
  PRIMARY KEY (`openingHourId`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `open_hr`
--
-- ORDER BY:  `openingHourId`

LOCK TABLES `open_hr` WRITE;
/*!40000 ALTER TABLE `open_hr` DISABLE KEYS */;
/*!40000 ALTER TABLE `open_hr` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `open_hr_rules`
--

DROP TABLE IF EXISTS `open_hr_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `open_hr_rules` (
  `opening_rule_id` int(11) NOT NULL,
  `rule_name` varchar(255) NOT NULL,
  `on_dow` varchar(255) NOT NULL,
  `from_dt` date DEFAULT NULL,
  `to_dt` date DEFAULT NULL,
  `from_hr` varchar(255) NOT NULL,
  `to_hr` varchar(255) NOT NULL,
  `is_open` bit(1) NOT NULL,
  `bagId` int(11) NOT NULL,
  PRIMARY KEY (`bagId`),
  KEY `FKEE50C7D796241512` (`opening_rule_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `open_hr_rules`
--
-- ORDER BY:  `bagId`

LOCK TABLES `open_hr_rules` WRITE;
/*!40000 ALTER TABLE `open_hr_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `open_hr_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rsch_rules`
--

DROP TABLE IF EXISTS `rsch_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rsch_rules` (
  `rescheduleRuleId` int(11) NOT NULL AUTO_INCREMENT,
  `status` varchar(255) DEFAULT NULL,
  `statusExt` varchar(255) DEFAULT NULL,
  `maxAttempts` int(11) DEFAULT NULL,
  `retryAfterS` int(11) DEFAULT NULL,
  `mode` varchar(255) DEFAULT NULL,
  `campaignId` int(11) DEFAULT NULL,
  `idx` int(11) DEFAULT NULL,
  PRIMARY KEY (`rescheduleRuleId`),
  KEY `FKB5A855DEAA548B3C` (`campaignId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rsch_rules`
--
-- ORDER BY:  `rescheduleRuleId`

LOCK TABLES `rsch_rules` WRITE;
/*!40000 ALTER TABLE `rsch_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `rsch_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trunks`
--

DROP TABLE IF EXISTS `trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trunks` (
  `trunkId` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `astId` int(10) unsigned DEFAULT NULL,
  `name` varchar(45) NOT NULL,
  `dialstring` varchar(100) NOT NULL,
  `capacity` int(10) unsigned NOT NULL,
  `sys_dt_creazione` datetime DEFAULT NULL,
  `sys_user_creazione` int(11) DEFAULT NULL,
  `sys_dt_modifica` datetime DEFAULT NULL,
  `sys_user_modifica` int(11) DEFAULT NULL,
  `sys_optilock` int(11) NOT NULL DEFAULT 0,
  `securityKey` varchar(255) DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  `rlMaxMsg` int(11) NOT NULL DEFAULT 100,
  `rlMsgEvery` int(11) NOT NULL DEFAULT 1000,
  PRIMARY KEY (`trunkId`),
  KEY `FKCC6F793FADB59082` (`sys_user_creazione`),
  KEY `FKCC6F793FF8F99862` (`sys_user_modifica`),
  KEY `FKCC6F793F8FED9BA1` (`astId`),
  CONSTRAINT `FKCC6F793F8FED9BA1` FOREIGN KEY (`astId`) REFERENCES `astservers` (`asteriskId`),
  CONSTRAINT `FKCC6F793FADB59082` FOREIGN KEY (`sys_user_creazione`) REFERENCES `arch_users` (`user_id`),
  CONSTRAINT `FKCC6F793FF8F99862` FOREIGN KEY (`sys_user_modifica`) REFERENCES `arch_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trunks`
--
-- ORDER BY:  `trunkId`

LOCK TABLES `trunks` WRITE;
/*!40000 ALTER TABLE `trunks` DISABLE KEYS */;
/*!40000 ALTER TABLE `trunks` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-05-28 14:45:50
