<%@page import="ch.loway.app.wombat.web.agents.AgentsPopupHelper"%>
<%@page import="ch.loway.app.wombat.tools.SysProps" %>
<%@page import="java.util.Map"%>
<%@page import="java.util.regex.Matcher"%>
<%@page import="java.util.regex.Pattern"%>
<%@page import="java.util.ArrayList"%>
<%@page import="it.loway.tpf.U"%>
<%@page import="it.loway.tpf.Esc"%>
<%@page import="java.util.HashMap"%>
<%@page import="it.loway.tpf.Web"%>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%--
    This page lets you access the Reverse Dialing Api from a web interface.
    It is meant as a starting point NOT a finished & polished product!

    parms:
        agent=agent/101
        url=http://crmserver/app?parm1=<var1>&parm2=<var2>
        inset=0       0: external url  1: inset (iframe)

    used internally
        mode=reserve | go | skip | gone
        wid= 123456789


   CSS done with Milligram 1.4.1:

   https://raw.githubusercontent.com/milligram/milligram/master/dist/milligram.min.css



--%>
<%
String agent = Web.get(request, "agent");
String url = Web.get(request, "url");
int inset = Web.getI(request, "inset");
String mode = Web.get(request, "op");
String wbtId = Web.get(request, "wid");
String extSt = Web.get(request, "withStatus");
String baseUrl = Web.get(request, "baseUrl");
String auth_token_id = SysProps.getDefaultAuthToken();

String err = "";
String stMsg = "";
Map <String, String> outRes = new HashMap < String, String > ();

String apiReserve = "";
String apiCalls = "";

if (baseUrl.isEmpty()) {
    String localUrl = Web.getLocalURL(request);
    apiReserve = localUrl.replace("/agents/rd_pop.jsp", "/api/reserve/");
    apiCalls = localUrl.replace("/agents/rd_pop.jsp", "/api/calls/");
} else {
    apiReserve = baseUrl + "/api/reserve/";
    apiCalls = baseUrl + "/api/calls/";
}

if (mode.length() == 0) {
    mode = "reserve";
}

Pattern pVar = Pattern.compile("VAR: (.+?)=(.+)");
Pattern pOth = Pattern.compile("(.+?): (.+)");

//System.out.println("Mode:" + mode + " withExtSt " + extSt );

// actions
if (mode.equalsIgnoreCase("reserve")) {

    HashMap parms = new HashMap();
    parms.put("op", "reserve");
    parms.put("agent", agent);
    parms.put("auth_token_id", auth_token_id);

    String[] resLines = AgentsPopupHelper.httpPostToLines(apiReserve, parms);

    String code = resLines[0];
    if (code.equalsIgnoreCase("OK: OK")) {

        for (int i = 1; i < resLines.length; i++) {
            String line2 = resLines[i];

            Matcher m0 = pVar.matcher(line2);
            if (m0.matches()) {
                outRes.put(m0.group(1), m0.group(2));
            } else {
                Matcher m1 = pOth.matcher(line2);
                if (m1.matches()) {
                    String type = m1.group(1);
                    String val = m1.group(2);

                    if (type.equalsIgnoreCase("WOMBATID")) {
                        wbtId = val;
                    }
                    outRes.put(type, val);
                }
            }
        }

    } else {
        err = code;
    }

} else if (mode.equalsIgnoreCase("dial")) {

    outRes = (Map < String, String > ) session.getAttribute("PARMS");
    HashMap parms = new HashMap();
    parms.put("op", "dial");
    parms.put("id", wbtId);
    parms.put("auth_token_id", auth_token_id);

    String[] rezz = AgentsPopupHelper.httpPostToLines(apiReserve, parms);
    String status = rezz[0];
    if (status.equalsIgnoreCase("OK: OK")) {
        stMsg = "";
    } else {
        err = status;
    }

} else if (mode.equalsIgnoreCase("skip")) {

    outRes = (Map < String, String > ) session.getAttribute("PARMS");

    HashMap parms = new HashMap();
    parms.put("op", "skip");
    parms.put("id", wbtId);
    parms.put("withStatus", extSt);
    parms.put("auth_token_id", auth_token_id);

    String[] rezz = AgentsPopupHelper.httpPostToLines(apiReserve, parms);
    String status = rezz[0];
    if (status.equalsIgnoreCase("OK: OK")) {
        stMsg = "Call Skipped.";
    } else {
        err = status;
    }

} else if (mode.equalsIgnoreCase("setxs")) {
    // http://127.0.0.1:8080/wombat/api/calls/?op=extstatus&wombatid=123456&status=XY

    HashMap parms = new HashMap();
    parms.put("op", "extstatus");
    parms.put("wombatid", wbtId);
    parms.put("status", extSt);
    parms.put("auth_token_id", auth_token_id);

    String[] rezz = AgentsPopupHelper.httpPostToLines(apiCalls, parms);
    String status = rezz[0];
    stMsg = "Call ext status set to " + extSt;

}

session.setAttribute("PARMS", outRes);

if (outRes == null) {
    outRes = new HashMap < String, String > ();
}

String myUrl = url;
for (String k: outRes.keySet()) {
    myUrl = myUrl.replace("<" + k + ">", outRes.get(k));
}


// Layout


String reloadUrl = "&agent=" + agent
                    + "&url=" + Esc.urlencode(url)
                    + "&inset=" + inset;

// Different actions
boolean boErrHtml = false;
boolean boDialSkip = false;
boolean boExtState = false;
boolean boReload = false;
boolean boTable = false;

String errHtml = "";
String urlAct = "";


if ((err.length() > 0) || (stMsg.length() > 0)) {

    boErrHtml = true;
    boReload = true;
    if (stMsg.length() > 0) {
        errHtml = "<div class='tit green'>" + stMsg + "</div>";
    } else {
        errHtml = "<div class='tit red'>" + err + "</div>";
    }
} else {

    urlAct = "&wid=" + wbtId
                + "&agent=" + agent
                + "&url=" + Esc.urlencode(url)
                + "&inset=" + inset;

    // il modo di default e' reserve
    boolean boDialMode = mode.equalsIgnoreCase("dial");

    if ( !boDialMode ) {
       boDialSkip = true;
    } else {
       boExtState = true;
    }

    boTable = true;
}

%>


<!DOCTYPE html>
<html lang="en" class="no-js">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width">
    <title>Agent <%= agent %></title>
    <link rel="stylesheet" href="./milligram.min.css">
    <style>
    body {
            background: url("../img/wombat_background.png") no-repeat center #ffffff;
            background-attachment: fixed;
            background-position: bottom right;
     }
    </style>
    <script>
        function callServer(op, parms) {

            if (document.getElementById('extState') != null) {
                var ext = document.getElementById('extState').value;
            } else {
                var ext = "";
            }
            var url = "rd_pop.jsp"
                    + "?op=" + encodeURI(op)
                    + "&withStatus=" + encodeURI( ext )
                    + "&baseUrl=" + encodeURI( '<%= baseUrl %>' )
                    + parms;
            document.location.href = url;
        }
    </script>
</head>
<body>

<div class="container">

    <div class="row">
        <div class="column">
            <h4>WombatDialer Preview Panel for <strong><%= agent%></strong></h4>
        </div>

<% if (boErrHtml) { %>
        <div class="column">
             <em><%= errHtml %></em>
        </div>
<% } %>

<% if (boDialSkip ) { %>
        <div class="column" style="text-align: center;">
             <input type='button' class="button" value='Dial now'
              onClick="javascript:callServer('dial', '<%= urlAct %>')" >

             <input type='button' class="button button-outline" value='Skip call'
                 onClick="javascript:callServer('skip', '<%= urlAct %>')" >
        </div>
<% } %>

<% if (boExtState ) { %>

        <div class="column">
        <fieldset>
             <label for="extState">State</span>
             <input type="text" name="extState" id="extState" maxlength="4">

             <input type='button' class="button  button-outline" value='Set ext. state'
                 onClick="javascript:callServer('setxs', '<%= urlAct %>')" >
                 </fieldset>
        </div>
<% } %>



<% if (boReload) { %>

        <div class="column" style="text-align: right;">
        <input type='button' class="button button-clear" value='Refresh'
               onClick="javascript:callServer('reserve', '<%=reloadUrl%>')" >
        </div>
<% } %>

    </div>


<% if (boTable && (inset == 0)) { %>
<div class="row">
    <div class="column">

    <table>
      <thead>
        <tr>
          <th>Field</th>
          <th>Value</th>
        </tr>
      </thead>
      <tbody>

        <% if (myUrl.length() > 0) {%>

            <tr>
                <td><b>External URL:</b></td>
                <td><a href="<%= myUrl%>" target="_crm">Open now</a></td>
            </tr>

        <% }%>

      <%
        for (String k : outRes.keySet()) {

            String v = outRes.get(k);
            if (k.equalsIgnoreCase("WOMBATID")) {
                v = "<a href='./live_call.jsp?wid=WBT." + v + "' target='call'>" + v + "</a>";
            }

            out.println("<tr> <td>" + k + "</td><td>" + v + "</td></tr>");
        }
      %>
      </tbody>
    </table>
    </div>
</div>


<% } %>


<% if (boTable && (inset != 0)) { %>

<iframe src="<%= myUrl%>" width="100%" height="80%"><iframe>

<% } %>

</div>

    </body>
</html>
