<%--
    Document   : API List Processor
    Created on : Sep 5, 2012
    Author     : le

LISTS API
---------

Add calls to a list:
  http://127.0.0.1:8080/wombat/api/lists/?
    op=addtolist
    list=ABCD
    numbers=1234|5678,A:b,C:D|....

    Optional:

    dedupe=1


  this should be called as a POST request. Make sure it's no larget than Tomcats's
  receive buffer (Default: 2M).
  In the <Connector> element, add an attribute "maxPostSize" and set a 
  larger value (in bytes) to increase the limit.

  If the list does not exist, it is created behind the scenes.

  If you set dedupe=1 then all numbers are checked for existence before being added to the list.

--%>
<%@ page language="java" %>
<%@ page import="ch.loway.app.wombat.ui.svr.api.AuthControllerOverHTTP" %>
<%@page import="ch.loway.app.wombat.ui.shared.msg.api.ListsApiMsg"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<%!
    AuthControllerOverHTTP ctrl = null;

    public void jspInit() {
      ctrl = new AuthControllerOverHTTP();
      ctrl.init( getServletConfig() );
    }

    public void jspDestroy() {
      ctrl.destroy();
    }
%>

<%= ctrl.process( request, new ListsApiMsg()) %>

